import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterWakeOnLAN extends _MTRGenericCluster {
    static alloc(): _MTRClusterWakeOnLAN;
    static new(): _MTRClusterWakeOnLAN;
    init(): _MTRClusterWakeOnLAN;
    readAttributeMACAddressWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeLinkLocalAddressWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * The queue is currently unused, but may be used in the future for calling completions for command invocations if commands are added to this cluster.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterWakeOnLAN | null;
}
export declare class _MTRClusterWakeOnLan extends _MTRClusterWakeOnLAN {
    static alloc(): _MTRClusterWakeOnLan;
    static new(): _MTRClusterWakeOnLan;
    init(): _MTRClusterWakeOnLan;
    initWithDevice$endpoint$queue$(device: _MTRDevice, endpoint: number, queue: _NSObject): _MTRClusterWakeOnLan | null;
}
